<?php get_header(); ?>
<?php include (TEMPLATEPATH . '/featured.php'); ?>
<div id="top2"></div>
<div id="rep2">
<div id="column">

<?php if (have_posts()) : ?>

<div class="post">
<div class="post-top"></div>
<div class="entry">

<div class="content">
<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
<?php /* If this is a category archive */ if (is_category()) { ?>
<h2>Архивы рубрики &#8216;<?php single_cat_title(); ?>&#8217; </h2>
<?php /* If this is a tag archive */ } elseif( is_tag() ) { ?>
<h2>Записи с меткой &#8216;<?php single_tag_title(); ?>&#8217;</h2>
<?php /* If this is a daily archive */ } elseif (is_day()) { ?>
<h2>Архивы за день <?php the_time('F jS, Y'); ?></h2>
<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
<h2>Архивы за месяц <?php the_time('F, Y'); ?></h2>
<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
<h2>Архивы за год <?php the_time('Y'); ?></h2>
<?php /* If this is an author archive */ } elseif (is_author()) { ?>
<h2>Архивы автора</h2>
<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
<h2>Архивы блога</h2>
<?php } ?>

<?php while (have_posts()) : the_post(); ?>

<div class="result">

<h3 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="Постоянная ссылка на <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h3>

<span class="rdate"><?php the_time('l, F j, Y'); ?> <?php the_time('G:i'); ?></span>
<span class="rcomment"><?php comments_popup_link('Комментариев нет', '1 комментарий', '% комментариев'); ?></span>
<div class="clear"></div>

<div class="rsummary"><?php the_excerpt(); ?></div>

<span class="rcat">Опубликовано в рубрике: <?php the_category(', ') ?></span>
<span class="rtags"><?php the_tags('Метки: ', ', ', ''); ?></span>
<div class="clear"></div>

</div>

<?php endwhile; ?>
</div>

</div>
<div class="post-bottom"></div>
</div>


<?php else : ?>

<div class="post">
<div class="post-top"></div>
<div class="entry">

<div class="content">
<h1>Страница не найдена</h1>
<p>Извините, по Вашему запросу ничего не было найдено.</p>
<h3>Форма поиска</h3>
<?php include(TEMPLATEPATH."/searchform.php"); ?>
</div>

</div>
<div class="post-bottom"></div>
</div>

<?php endif; ?>



<?php get_sidebar(); ?>
<?php get_footer(); ?>