<?php
/*Start of Theme Options*/
$themename = "Home Decoration";
$shortname = "tech";
$categories = get_categories(array('hide_empty'=>false));
$tech_ftcat = array();
foreach ($categories as $category_list ) {
       $tech_ftcat[$category_list->cat_ID] = $category_list->category_nicename;
}
$category_bulk_list = array_unshift($tech_ftcat, "Выберите рубрику:"); 

$options = array (
				  
 
array( "name" => "Home Decoration настройки",
	"type" => "title"),
 
array( "type" => "open"),
 /*Start Featured Post management*/
    array(  "name" => "Рубрика популярных записей",
            "type" => "heading",
			"desc" => "В этом разделе Вы можете настроить популярные записи.",
       ),
 array( "name" => "Настройка рубрик популярных записей",
	   	"desc" => "Здесь Вы можете выбрать рубрику популярных записей",
		"type" => "categ"),


	array( 	"name" => "Рубрика популярных записей",
			"desc" => "Выберите рубрику для популярных записей.",
			"id" => $shortname."_ftpost",
			"std" => "Выберите рубрику:",
			"type" => "select",
			"options" => $tech_ftcat),

 /*End Featured Post management*/


 /*Start About Us management*/
 
 array( "name" => "Раздел 'О нас' настройка",
	   	"desc" => "Здесь вы можете вставить текст для раздела 'О нас'",
		"type" => "categ"),
 
 array(	"name" => "Включить раздел 'О сайте' ",
			"desc" => "Установите галочку, если хотите активировать раздел 'О сайте'.",
			"id" => $shortname."_aboutus_on",
            "type" => "checkbox"),
			"std" => "",


array( "name" => "Текст 'О сайте'",
	"desc" => "Здесь Вы можете добавить текст 'О сайте'.",
	"id" => $shortname."_about_us",
	"type" => "textarea",
	"std" => ""),
array(	"name" => "Активировать изображение 'О сайте'",
			"desc" => "Установите галочку, если хотите активировать изображение.",
			"id" => $shortname."_image_on",
            "type" => "checkbox"),
			"std" => "",

array( "name" => "Изображение 'О сайте'",
	"desc" => "Вставьте ссылку на изображение",
	"id" => $shortname."_image",
	"type" =>"aboutus",
	"std" => "" ),	

 /*End About Us management*/



/*Start Advertisment management*/

 array( "name" => "Настройки рекламы",
	   	"desc" => "Здесь Вы можете разместить рекламные ссылки",
		"type" => "categ"),
 
 
array(	"name" => "Включить рекламу 125px*px125 ",
			"desc" => "Установите галочку, чтобы активировать этот раздел.",
			"id" => $shortname."_ads_on",
            "type" => "checkbox"),
			"std" => "",



array( "name" => "Путь к изображению 1 ",
	"desc" => "Вставьте ссылку на первое изображение здесь",
	"id" => $shortname."_ads1",
	"type" =>"ads",
	"std" => "" ),	

array( "name" => "Путь к изображению 1",
	"desc" => "Вставьте ссылку на первое изображение здесь",
	"id" => $shortname."_url1",
	"type" =>"ads",
	"std" => ""),	

array( "name" => "Путь к изображению 2",
	"desc" => "Вставьте ссылку на второе изображение здесь",
	"id" => $shortname."_ads2",
	"type" =>"ads",
	"std" => "" ),	

array( "name" => "Путь к изображению 2",
	"desc" => "Вставьте ссылку на второе изображение здесь",
	"id" => $shortname."_url2",
	"type" =>"ads",
	"std" => ""),	
/*End Advertisment management*/



/*Start YouTube Video Management*/

 array( "name" => "Настройки YouTube видео",
	   	"desc" => "Здесь Вы можете вставить видео с YouTube ",
		"type" => "categ"),
 
array(	"name" => "Активировать опцию видео с YouTube",
		"desc" => "Установите галочку, если Вы хотите активирвать видео с YouTube.",
		"id" => $shortname."_vid_on",
        "type" => "checkbox"),
		"std" => "",

array( "name" => "Код видео с YouTube",
	   "desc" => "Вставьте уникальный код видео с YouTube (например: <strong>I6c2zXDi_dY</strong>)",
       "id" => $shortname."_vid",
	   "type" =>"video",
	   "std" => ""),	
/*End YouTube Video Management*/

array( "type" => "close")
 
);

function mytheme_add_admin() {
 
global $themename, $shortname, $options;
 
if ( $_GET['page'] == basename(__FILE__) ) {
 
if ( 'save' == $_REQUEST['action'] ) {
 
foreach ($options as $value) {
update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }
 
foreach ($options as $value) {
if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); } }
 
header("Location: themes.php?page=functions.php&saved=true");
die;
 
} else if( 'reset' == $_REQUEST['action'] ) {
 
foreach ($options as $value) {
delete_option( $value['id'] ); }
 
header("Location: themes.php?page=functions.php&reset=true");
die;
 
}
}
 
add_theme_page($themename." настройки", "".$themename." настройки", 'edit_themes', basename(__FILE__), 'mytheme_admin');
 
}
 
function mytheme_admin() {
 
global $themename, $shortname, $options;
 
if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' настройки сохранены.</strong></p></div>';
if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' настройки сброшены.</strong></p></div>';
 
?>
<div class="wrap">
<h2><?php echo $themename; ?> настройки</h2>
 
<form method="post">
 
<?php foreach ($options as $value) {
switch ( $value['type'] ) {
 
case "open":
?>
<table width="100%" border="0" style="background-color:#eef5fb; padding:10px;">
 
<?php break;
 
case "close":
?>
 
</table><br />
 
<?php break;
 
case "categ":
?>
<table width="100%" height="25px" border="0" style="background-color:#dceefc;padding:5px 10px;"><tr>
<td colspan="2"><h3 style="font-family:Georgia, 'Times New Roman', Times, serif; font-size:18px; font-weight:bold; font-style:italic; letter-spacing:1px; background-color:#fff; width:100%;
height:30px; text-align:left; padding-left:12px; padding-top:10px; color:#BF4B21;"><?php echo $value['name']; ?></h3></td>
</tr>
 
<?php break;
 
 
 
 
 case "title":
?>
<table width="100%" height="25px" border="0" style="background-color:#dceefc;padding:5px 10px;"><tr>
<td colspan="2"><h3 style="font-family:Georgia, 'Times New Roman', Times, serif; margin-top:-10px; font-size:18px; font-style:italic;letter-spacing:1px;width:100%;
height:30px; text-align:left; padding-top:10px; color:#2c2031;"><?php echo $value['name']; ?></h3></td>
</tr>
 
<?php break;

case 'text':
?>
 
<tr>
<td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>
<td width="80%"><input style="width:700px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" /></td>
</tr>
 
<tr>
<td><small><?php echo $value['desc']; ?></small></td>
</tr><tr><td colspan="2" style="margin-bottom:5px;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>
 
<?php
break;


case 'video':
?>
 
<tr>
<td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>
<td width="80%"><input style="width:200px; height:30px;"" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" /></td>
</tr>
 
<tr>
<td><small><?php echo $value['desc']; ?></small></td>
</tr><tr><td colspan="2" style="margin-bottom:5px;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>
 
<?php
break;

case 'ads':
?>
 
<tr>
<td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>
<td width="80%"><input style="width:500px; height:20px;"" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" /></td>
</tr>
 
<tr>
<td><small><?php echo $value['desc']; ?></small></td>
</tr><tr><td colspan="2" style="margin-bottom:5px;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>
 
<?php
break;


case 'aboutus':
?>
 
<tr>
<td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>
<td width="80%"><input style="width:500px; height:20px;"" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" /></td>
</tr>
 
<tr>
<td><small><?php echo $value['desc']; ?></small></td>
</tr><tr><td colspan="2" style="margin-bottom:5px;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>
 
<?php
break;



 case 'link':
?>
 
<tr>
<td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>
<td width="80%"><input style="width:300px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" /></td>
</tr>
 
<tr>
<td><small><?php echo $value['desc']; ?></small></td>
</tr><tr><td colspan="2" style="margin-bottom:5px;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>
 
<?php
break;



case 'textarea':
?>
 
<tr>
<td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>
<td width="80%"><textarea name="<?php echo $value['id']; ?>" style="width:700px; height:100px;" type="<?php echo $value['type']; ?>" cols="" rows=""><?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?></textarea></td>
 
</tr>
 
<tr>
<td><small><?php echo $value['desc']; ?></small></td>
</tr><tr><td colspan="2" style="margin-bottom:5px;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>
 
<?php
break;

case 'select':
?>
<tr>
<td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>
<td width="80%"><select style="width:240px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>"><?php foreach ($value['options'] as $option) { ?><option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option><?php } ?></select></td>
</tr>
 
<tr>
<td><small><?php echo $value['desc']; ?></small></td>
</tr><tr><td colspan="2" style="margin-bottom:5px;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>
 
<?php
break;
 
case "checkbox":
?>
<tr>
<td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>
<td width="80%"><?php if(get_option($value['id'])){ $checked = "checked=\"checked\""; }else{ $checked = "";} ?>
<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
</td>
</tr>
 
<tr>
<td><small><?php echo $value['desc']; ?></small></td>
</tr><tr><td colspan="2" style="margin-bottom:5px;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>
 
<?php break;
 
}
}
?>
 
<p class="submit">
<input name="save" type="submit" value="Сохранить" />
<input type="hidden" name="action" value="save" />
</p>
</form>
<form method="post">
<p class="submit">
<input name="reset" type="submit" value="Сбросить" />
<input type="hidden" name="action" value="reset" />
</p>
</form>
 
<?php
if ( function_exists('register_sidebar') )
    register_sidebar(array(
        'before_bar' => '<li id="%1$s" class="bar %2$s">',
        'after_bar' => '</li>',
        'before_title' => '<h2 class="sidebartitle">',
        'after_title' => '</h2>',
    ));
}add_action('admin_menu', 'mytheme_add_admin');
?>
<?php
/*
Plugin Name: Get The Image
Plugin URI: http://justintadlock.com/archives/2008/05/27/get-the-image-wordpress-plugin
Description: This is a highly intuitive script that can grab an image by custom field input, post attachment, or extracting it from the post's content.
Version: 0.3
Author: Justin Tadlock
Author URI: http://justintadlock.com
License: GPL
*/

/**
* This is a highly intuitive script file that gets images
* It first calls for custom field keys
* If no custom field key is set, check for images "attached" to post
* Check for image order if looking for attached images
* Scan the post for images if $image_scan = true
* Check for default image if $default_image = true
*
* Entirely rewrote the system in 0.4
*
* @package Hybrid
* @subpackage Media
*
* @since 0.1
* @filter get_the_image_args
*/
function get_the_image($args = array()) {

	$defaults = array(
		'custom_key' => array('Thumbnail','thumbnail','medium','large','full' ),
		'post_id' => false, // Build functionality in later
		'attachment' => false,
		'default_size' => 'thumbnail',
		'default_image' => false,
		'order_of_image' => 1,
		'link_to_post' => true,
		'image_class' => false,
		'image_scan' => false,
		'width' => false,
		'height' => false,
		'echo' => true
	);

	$args = apply_filters('get_the_image_args', $args);

	$args = wp_parse_args($args, $defaults);

	extract($args);

	if(!is_array($custom_key)) :
		$custom_key = str_replace(' ', '', $custom_key);
		$custom_key = str_replace(array('+'), ',', $custom_key);
		$custom_key = explode(',', $custom_key);
		$args['custom_key'] = $custom_key;
	endif;

	if($custom_key && $custom_key !== 'false' && $custom_key !== '0') $image = image_by_custom_field($args);

	if(!$image && $attachment && $attachment !== 'false' && $attachment !=='0') $image = image_by_attachment($args);

	if(!$image && $image_scan) $image = image_by_scan($args);

	if(!$image && $default_image) $image = image_by_default($args);

	if($image)
		$image = display_the_image($args, $image);

	else
		$image = '<!-- No images were added to this post. -->';

	if($echo && $echo !== 'false' && $echo !== '0')
		echo $image;
	else
		return $image;
}

/**
* Calls images by custom field key
* Allow looping through multiple custom fields
*
* @since 0.4
* @param $args Not Optional
* @return array $image, $classes, $alt
*/
function image_by_custom_field($args = array()) {

	extract($args);

	if(!$post_id)
		global $post;

	if(isset($custom_key)) :
		foreach($custom_key as $custom) :
			$image = get_post_meta($post->ID, $custom, true);
			if($image) :
				break;
			endif;
		endforeach;
		if(!$image) :
			return false;
		endif;
	endif;

	return array('image' => $image);
}

/**
* Check for attachment images
* Uses get_children() to check if the post has images attached
*
* @since 0.4
* @param $args Not Optional
* @return array $image, $classes, $alt, $caption
*/
function image_by_attachment($args = array()) {

	extract($args);

	if(!$post_id)
		global $post;

	/*
	* Use a WP 2.6 function to check
	*/
	if(function_exists('wp_enqueue_style')) :
		$attachments = get_children(array('post_parent' => $post->ID, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));

	/*
	* WP 2.5 compatibility
	*/
	else :
		$attachments = get_children("post_parent=$post->ID&post_type=attachment&post_mime_type=image&orderby=\"menu_order ASC, ID ASC\"");

	endif;

	if($attachments) :
		foreach($attachments as $id => $attachment) :
			$i++;
			if($i == $order_of_image) :
				$image = wp_get_attachment_image_src($id, $default_size);
				$image = $image[0];
				break;
			endif;
		endforeach;
	endif;

	return array('image' => $image);
}

/**
* Scans the post for images within the content
* Not called by default with get_the_image()
* Shouldn't use if using large images within posts, better to use the other options
*
* @since 0.4
* @param $args Not Optional
* @return $image, $classes, $alt
*/
function image_by_scan($args = array()) {

	if(!$post_id)
		global $post;

	preg_match_all('|<img.*?src=[\'"](.*?)[\'"].*?>|i', $post->post_content, $matches);

	if(isset($matches)) $image = $matches[1][0];

	if($matches)
		return array('image' => $image);
	else
		return false;
}

/**
* Used for setting a default image
* Not used with get_the_image() by default
*
* @since 0.4
* @param $args Not Optional
* @return array $image, $classes, $alt
*/
function image_by_default($args = array()) {

	extract($args);

	$image = $default_image;

	return array('image' => $image);
}

/**
* Formats an image with appropriate alt text and class
* Adds a link to the post if argument is set
* Should only be called if there is an image to display, but will handle it if not
*
* @since 0.1
* @param $args Not Optional
* @param $arr Array of image info ($image, $classes, $alt, $caption)
* @return string Formatted image (w/link to post if the option is set)
*/
function display_the_image($args = array(), $arr = false) {
	global $post;

	extract($arr);

	if(!$image)
		return;

	extract($args);

	if($width) $width = ' width="' . $width . '"';
	if($height) $height = ' height="' . $height . '"';

	$img = $image;

	if(is_array($custom_key)) :
		foreach($custom_key as $key) :
			if($key !== 'false' && $key !== '0') :
				$classes[] = str_replace(' ', '-', strtolower($key));
			endif;
		endforeach;
	endif;

	$classes[] = $default_size;
	$classes[] = $image_class;

	$class = join(' ', $classes);

	$image = '';

	if($link_to_post)
		$image .= '<a href="' . get_permalink($post->ID) . '" title="' . the_title_attribute('echo=0') . '">';

	$image .= '<img src="' . $img . '" alt="' . the_title_attribute('echo=0') . '" class="' . $class . '"' . $width . $height . ' />';

	if($link_to_post)
		$image .= '</a>';

	return $image;
}

/**
* Deprecated function needs to be replaced with get_the_image()
*
* @since 0.1
* @deprecated 0.4
*/
function get_the_image_link($deprecated = false, $deprecated_2 = false, $deprecated_3 = false) {
	_e('The function has been deprecated. You need to update your template file calls to <code>get_the_image()</code>.','hybrid');
}
?>